XvGetPortAttribute(3) | Library Functions Manual | XvGetPortAttribute(3)

# NAME

XvGetPortAttribute - return current port attribute value

# SYNOPSIS

#include <X11/extensions/Xvlib.h>

    int XvGetPortAttribute(Display *dpy, XvPortID port,
                           Atom attribute, int p_value);

# ARGUMENTS

dpy
  Specifies the connection to the X server.
port
  Specifies the port, associated with the given display, for which the attribute values are to be returned.
attribute
  An atom that identifies the attribute to be queried by this request. Control atoms are obtained using the XInternAtom request with a string from the following table.
p_value
  Pointer to the location where the attribute value is written on return.

# DESCRIPTION

XvGetPortAttribute(3) returns the current value of the requested port attribute in the integer pointed to by p_value. The attribute is identified using an Atom that equates to the attribute name. The XInternAtom request can be used with one of the strings below to return a matching Atom.

Attribute String | Type | Default
"XV_ENCODING" | XvEncodingID | Server dependent
"XV_HUE" | [-1000...1000] | 0
"XV_SATURATION" | [-1000...1000] | 0
"XV_BRIGHTNESS" | [-1000...1000] | 0
"XV_CONTRAST" | [-1000...1000] | 0

# RETURN VALUES

[Success]
  Returned if XvGetPortAttribute(3) completed successfully.
[XvBadExtension]
  Returned if the Xv extension is unavailable.
[XvBadAlloc]
  Returned if XvGetPortAttribute(3) failed to allocate memory to process the request.

# DIAGNOSTICS

[XvBadPort]
  Generated if the requested port does not exist.
[BadMatch]
  Generated if the requested attribute atom does not specify an attribute supported by the adaptor.

# SEE ALSO

XvSetPortAttribute(3), XvPortNotify(3)

X Version 11 | libXv Functions